#
#       Makefile for oldsrc
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= oldsrc
LIBFSRCS	= ubpget.f ubplu.f  ubplzu.f ubplzv.f udsgxa.f udsgya.f \
		  uesgxa.f uesgya.f uflnu.f  uflnzr.f uflnzu.f uflnzv.f \
		  ufpget.f ugsgxa.f ugsgya.f umpout.f umstrf.f ussntr.f \
		  ussvpt.f usswnd.f uspget.f usgrpx.f usgrpy.f ussxex.f \
		  ussyex.f usaxis.f usstrf.f usurdu.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= ubpget.o ubplu.o  ubplzu.o ubplzv.o udsgxa.o udsgya.o \
		  uesgxa.o uesgya.o uflnu.o  uflnzr.o uflnzu.o uflnzv.o \
		  ufpget.o ugsgxa.o ugsgya.o umpout.o umstrf.o ussntr.o \
		  ussvpt.o usswnd.o uspget.o usgrpx.o usgrpy.o ussxex.o \
		  ussyex.o usaxis.o usstrf.o usurdu.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
